| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxHtmlBookRecord Class Reference

`#include <wx/html/helpdata.h>`

## Detailed Description

Helper class for wxHtmlHelpData.

## Public Member Functions

| wxHtmlBookRecord (const wxString &bookfile, const wxString &basepath, const wxString &title, const wxString &start)
wxString | GetBookFile () const
wxString | GetTitle () const
wxString | GetStart () const
wxString | GetBasePath () const
void | SetContentsRange (int start, int end)
int | GetContentsStart () const
int | GetContentsEnd () const
void | SetTitle (const wxString &title)
void | SetBasePath (const wxString &path)
void | SetStart (const wxString &start)
wxString | GetFullPath (const wxString &page) const

## Constructor & Destructor Documentation

wxHtmlBookRecord::wxHtmlBookRecord | ( | const wxString & | bookfile,
|  | const wxString & | basepath,
|  | const wxString & | title,
|  | const wxString & | start
| ) |  |

## Member Function Documentation

wxString wxHtmlBookRecord::GetBasePath | ( |  | ) | const

wxString wxHtmlBookRecord::GetBookFile | ( |  | ) | const

int wxHtmlBookRecord::GetContentsEnd | ( |  | ) | const

int wxHtmlBookRecord::GetContentsStart | ( |  | ) | const

wxString wxHtmlBookRecord::GetFullPath | ( | const wxString & | page | ) | const

wxString wxHtmlBookRecord::GetStart | ( |  | ) | const

wxString wxHtmlBookRecord::GetTitle | ( |  | ) | const

void wxHtmlBookRecord::SetBasePath | ( | const wxString & | path | ) |

void wxHtmlBookRecord::SetContentsRange | ( | int | start,
|  | int | end
| ) |  |

void wxHtmlBookRecord::SetStart | ( | const wxString & | start | ) |

void wxHtmlBookRecord::SetTitle | ( | const wxString & | title | ) |